メインコンテンツへスキップ
POST
/
v1beta
/
models
/
{model}
:predictLongRunning
動画を作成する(OmniおよびVeo形式)
curl --request POST \
  --url https://api.aiid.edu.kg/v1beta/models/{model}:predictLongRunning \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "instances": [
    {
      "prompt": "A cinematic aerial shot of a modern city at sunrise",
      "referenceImages": [
        {
          "image": {
            "inlineData": {
              "mimeType": "image/png",
              "data": "BASE64_IMAGE_DATA"
            }
          },
          "referenceType": "asset"
        }
      ]
    }
  ],
  "parameters": {
    "aspectRatio": "16:9",
    "durationSeconds": 5,
    "resolution": "720p"
  }
}
'
{
  "name": "models/veo3.1-fast/operations/abc123"
}

承認

Authorization
string
header
必須

Bearer Token を使用して認証します。 形式: Authorization: Bearer sk-xxxxxx

パスパラメータ

model
enum<string>
必須

Veo モデル名。

利用可能なオプション:
veo3,
veo3-fast,
veo3-fast-frames,
veo3-frames,
veo3-pro,
veo3-pro-frames,
veo3.1,
veo3.1-4k,
veo3.1-components,
veo3.1-fast,
veo3.1-pro,
veo3.1-pro-4k
:

"veo3.1-fast"

ボディ

application/json
instances
object[]
必須
Minimum array length: 1
parameters
object

レスポンス

200 - application/json

予約済みの成功レスポンス構造です。現在はプロトコルの説明用であり、実際の呼び出しはサポートされていません。

name
string
必須

operation name。後続のステータス照会に使用されます。

:

"models/veo3.1-fast/operations/abc123"